.feq {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.first_ever_quiz_container {
    width: 600px;
    margin-left: -50px;
    margin-top: -50px;
    position: absolute;
    z-index: 1;
}

.first_ever_quiz {
    width: 100%;
}

.feq_table {
    width: 100%;
    margin-bottom: 1rem;
    border: none;
    background-color: transparent;
}

.feq_table thead {
    vertical-align: bottom;
}

.feq_table td, .feq_table th {
    white-space: nowrap;
    border: none;
    color: #000;
    padding: 1rem 0.5rem;
    vertical-align: middle;
    text-align: center;
}

[data-bs-theme="dark"] .feq_table td, [data-bs-theme="dark"] .feq_table th {
    color: #fff;
}

.feq_table thead tr {
    font-size: 12px;
    text-align: center;
}

.feq_square_td{
    padding: 0 !important;
    background-color: #d9dde0;
}

[data-bs-theme="dark"] .feq_square_td {
    background-color: #191b1d;
}

.feq_modal {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.feq_modal_overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 9998;
}

body.feq_modal_open > :not(.feq_modal,.swal2-container) {
    -webkit-filter: blur(5px);
    -moz-filter: blur(5px);
    -o-filter: blur(5px);
    -ms-filter: blur(5px);
    filter: blur(5px);
}

.feq_modal_content {
    width: 500px;
    background-color: white;
    border-radius: 5px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    /*box-shadow: 0 0 3px rgb(241, 241, 241);*/
    z-index: 9999;
    transform: scale(0);
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    transition: all 0.3s ease;
}

.feq_modal_content.animate {
    transform: scale(1);
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    transition: all 0.3s ease;
}

.feq_modal_content.close {
    transform: scale(0.4);
    -webkit-transform: scale(0.4);
    -moz-transform: scale(0.4);
    transition: all 0.2s ease;
}

.feq_modal_header {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ff0065;
    font-weight: bold;
    padding: 1rem;
}

.feq_modal_title {
    font-size: 15px;
    color: white;
    margin: 0;
    padding: 0;
    text-transform: uppercase;
}

.feq_modal_body {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: white;
    padding: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.feq_modal_footer {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    padding: 1rem;
    padding-top: 0;
}

.feq_modal_btn {
    min-width: 100px;
    max-width: 200px;
    height: 40px;
    background-color: #ff0065;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-style: italic;
    font-weight: bold;
    transition: all 0.2s ease;
}

.feq_modal_btn:hover {
    transform: scale(1.05);
}

.feq_modal_btn_secondary {
    width: 100px;
    height: 40px;
    margin-right: 10px;
    background-color: white;
    color: #ff0065;
    border: 1px solid #ff0065;
    border-radius: 5px;
    cursor: pointer;
    font-style: italic;
    font-weight: bold;
    transition: all 0.2s ease;
}

.feq_modal_btn_secondary:hover {
    transform: scale(1.05);
}

.feq-form-check-label {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 15px;
    font-weight: bold;
    color: black;
    font-style: italic;
}

.feq-form-check-label input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #fff;
    border-radius: 50%;
    border: #ff0065 solid 2px;
    margin-right: 10px;
}

/* On mouse-over, add a grey background color */
.feq-form-check-label:hover input~.checkmark {
    background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.feq-form-check-label input:checked~.checkmark {
    background-color: #f0006d;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.feq-form-check-label input:checked~.checkmark:after {
    display: block;
}

/* Style the indicator (dot/circle) */
.feq-form-check-label .checkmark:after {
    top: 1px;
    left: 1px;
    width: 19px;
    height: 19px;
    border-radius: 50%;
    border: #fff solid 2px;
}

.feq_modal_body_title{
    font-weight: bold;
    font-size: 20px;
    color: #4a4756;
    padding-top: 15px;
    padding-left: 30px;
    text-transform: uppercase;
}

.feq_modal_body ul{
    margin-top: 15px;
    margin-bottom: 0;
    list-style-type: square;
    list-style-position:outside;
    padding-left: 30px;
    padding-right: 30px;
    font-size: 15px;
    font-weight: bold;
    color: #4a4756;
    line-height: 25px;
}

.feq_modal_body ul li{
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 15px;
    font-weight: semibold;
    color: #4a4756;
    line-height: 25px;
}

.feq_board_td{
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    vertical-align: top;
}

.feq_board_container{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.feq_board_div{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}

.feq_board_div:not(:first-child){
    margin-top: 10px;
}

.feq_board_header{
    max-width: 100px;;
    font-weight: bold;
    font-size: 15px;
    color: #4a4756;
    text-transform: uppercase;
    font-style: italic;
}

[data-bs-theme=dark] .feq_board_header{
    color: #fff;
}

.feq_board_score{
    font-weight: bolder;
    font-size: 45px;
    color: #4a4756;
    text-transform: uppercase;
    font-style: italic;
    line-height: 45px;
}

[data-bs-theme=dark] .feq_board_score{
    color: #fff;
}

.feq_board_btn{
    width: 100px;
    height: 40px;
    font-size: 15px;
    color: #4a4756;
    border: #4a4756 solid 2px;
    cursor: pointer;
    font-style: italic;
    font-weight: bold;
    transition: all 0.2s ease;
}

[data-bs-theme=dark] .feq_board_btn{
    color: #000;
    background-color: #fff;
    border: none;
}

.feq_board_btn:hover{
    background-color: #4a4756;
    color: #fff;
}

[data-bs-theme=dark] .feq_board_btn:hover{
    background-color: #000;
    color: #fff;
}


.feq_board_link{
    cursor: pointer;
}

.feq_board_link:hover{
    text-decoration: underline;
}

.feq_question_square {
    width: calc(100% - 2px);
    height: calc(100% - 2px);
    position: relative;
    margin: auto;
    transform-style: preserve-3d;
    transform: perspective(600px) rotateY(0deg) translateZ(-5px);
    transition: all 0.2s ease-in;
}

.feq_question_square_front {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: absolute;
    /*background-color: #f8f9fa;*/
    background-color: #fff;
    color: #000;
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    transform: rotateY(0deg) translateZ(5px);
    backface-visibility: hidden;
}

.feq_question_square_front::after {
    content: "?";
}

.feq_question_square_back {
    position: absolute;
    width: 100%;
    height: 100%;
    transform: rotateY(180deg) translateZ(5px);
    backface-visibility: hidden;
}

.feq_question_square_left {
    position: absolute;
    background-color: #f0006d;
    width: 10px;
    height: 100%;
    transform: rotateY(-90deg) translateZ(5px);
    backface-visibility: hidden;
}

[data-bs-theme="dark"] .feq_question_square_front {
    background-color: #343a40;
    color: #fff;
}

.feq_question_square:hover {
    transform: perspective(600px) rotateY(45deg);
}


.feq_question_square.turning {
    transform: perspective(600px) rotateY(90deg);
}

.feq_question_square.turned {
    transform: perspective(600px) rotateY(180deg);
    transition: all 0.2s ease-out;
}


.loader {
    width: 100px;
    height: 100px;
    border: 5px solid #c148df;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    }

    @keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
    } 